Open CASCADE Technology: Quantity_Array1OfColor Class Reference

Open CASCADE Technology 6.8.0

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
Quantity_Array1OfColor Class Reference

`#include <Quantity_Array1OfColor.hxx>`

## Public Member Functions
| Quantity_Array1OfColor (const Standard_Integer Low, const Standard_Integer Up)
| Quantity_Array1OfColor (const Quantity_Color &Item, const Standard_Integer Low, const Standard_Integer Up)
void | Init (const Quantity_Color &V)
void | Destroy ()
| ~Quantity_Array1OfColor ()
Standard_Boolean | IsAllocated () const
const Quantity_Array1OfColor & | Assign (const Quantity_Array1OfColor &Other)
const Quantity_Array1OfColor & | operator= (const Quantity_Array1OfColor &Other)
Standard_Integer | Length () const
Standard_Integer | Lower () const
Standard_Integer | Upper () const
void | SetValue (const Standard_Integer Index, const Quantity_Color &Value)
const Quantity_Color & | Value (const Standard_Integer Index) const
const Quantity_Color & | operator() (const Standard_Integer Index) const
Quantity_Color & | ChangeValue (const Standard_Integer Index)
Quantity_Color & | operator() (const Standard_Integer Index)

## Constructor & Destructor Documentation

Quantity_Array1OfColor::Quantity_Array1OfColor | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |  |

Quantity_Array1OfColor::Quantity_Array1OfColor | ( | const Quantity_Color & | Item,
|  | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |  |

Quantity_Array1OfColor::~Quantity_Array1OfColor | ( |  | ) |
| inline

## Member Function Documentation

const Quantity_Array1OfColor& Quantity_Array1OfColor::Assign | ( | const Quantity_Array1OfColor & | Other | ) |

Quantity_Color& Quantity_Array1OfColor::ChangeValue | ( | const Standard_Integer | Index | ) |

void Quantity_Array1OfColor::Destroy | ( |  | ) |

void Quantity_Array1OfColor::Init | ( | const Quantity_Color & | V | ) |

Standard_Boolean Quantity_Array1OfColor::IsAllocated | ( |  | ) | const

Standard_Integer Quantity_Array1OfColor::Length | ( |  | ) | const

Standard_Integer Quantity_Array1OfColor::Lower | ( |  | ) | const

const Quantity_Color& Quantity_Array1OfColor::operator() | ( | const Standard_Integer | Index | ) | const
| inline

Quantity_Color& Quantity_Array1OfColor::operator() | ( | const Standard_Integer | Index | ) |
| inline

const Quantity_Array1OfColor& Quantity_Array1OfColor::operator= | ( | const Quantity_Array1OfColor & | Other | ) |
| inline

void Quantity_Array1OfColor::SetValue | ( | const Standard_Integer | Index,
|  | const Quantity_Color & | Value
| ) |  |

Standard_Integer Quantity_Array1OfColor::Upper | ( |  | ) | const

const Quantity_Color& Quantity_Array1OfColor::Value | ( | const Standard_Integer | Index | ) | const

The documentation for this class was generated from the following file:

- Quantity_Array1OfColor.hxx